Subject: Re: undefined references
From: TS <[email-masked]>
To: John Huddleston <[email-masked]>
Cc: [email-masked]
Date: Thu, 2 Dec 1999 02:53:03 -0800 (PST)

Now I've changed the original Informix files "sqlca.h" and "sqlhdr.h"
as I did with the copies I sent to you yesterday. And I changed the
"$(INF_INCL)" in the makefiles back to the Informix-directory
("INF_INCL = -I/usr2/users/informix/incl/esql" and "INF_INCL =
-I/usr/demo/informix/incl/esql"). 
As expected, the sqlca-message disappeared, but all the others 
(_iqcdcl, _iqcftch, _iqdbase, _iqdcopen, _iqlocate_cursor; all in the
file "sqlhdr.h") are still here.

Tom.

--- John Huddleston <[email-masked]> schrieb:
> Tom,
> 
> Curious.   Well, I am still waiting for the NT Informix.  We are
> moving to a new building and our systems people have 
> their hands full with broken phones and broken LAN connectivity.
> Yech.
> 
> Will keep in touch though.
> 
> John
> 
> ----- Original Message ----- 
> From: TS <[email-masked]>
> To: John Huddleston <[email-masked]>
> Sent: Wednesday, December 01, 1999 8:54 AM
> Subject: Re: undefined references
> 
> 
> > You're right, if I delete this "extern", the "sqlca"-error
> disappeares.
> > But if I change this in a copy of the headerfiles, the changes
> don't
> > seem to work. It seems that esql always takes the original header
> > files.
> > 
> > I changed the path of the header files in the makefile, and deleted
> the
> > "extern" of the undefined references from "sqlca.h" and "sqlhdr.h".
> And
> > I changed the "#include<sqlhdr.h>" in the file "tomc.c" to
> > "#include"header/sqlca.h"". But the result was the same as before!
> I
> > don't know why, but I think, esql takes the original header files.
> > 
> > In the meantime I tried so extract the object files out of the libs
> and
> > compile them instead of the libs. But this didn't work. There were
> 4
> > undefined references that I haven't seen yet before.
> > 
> > Tom.
> > 
> > --- John Huddleston <[email-masked]> schrieb:
> > > 
> > > Yes and no.   If you can afford it, do it.  It is a matter
> > > of the compiler.   When you look at the functions 
> > > declared in the sqlca.h file, they all begin with
> > > an underscore.  Yet, the calls that are missing in
> > > your sample want the function without the '_'
> > > 
> > > It is almost as if they were compiled from Fortran
> > > because the symptoms are the same.   I spent
> > > four hours on it yesterday (I like puzzles).
> > > 
> > > The work around is to write your functions that call
> > > the functions in your library.  A dirty job at best.
> > > For instance in the tom.c file (which you did not send
> > > me but I compiled using my Informix ESQL compiler)
> > > I took out the extern on the line 94 (attached)
> > > 
> > > struct sqlca_s sqlca;
> > > 
> > > and the error messages for sqlca went away.  Well,
> > > I haven't tried the Microsoft studio yet.  Also, my
> > > PC Informix hasn't arrived yet.  I'll let you know what
> > > I discover.  I also have an Informix port to do so that's
> > > why I spent so much time on it.
> > > 
> > > John
> > > 
> > > ----- Original Message ----- 
> > > From: TS <[email-masked]>
> > > To: <[email-masked]>
> > > Sent: Tuesday, November 30, 1999 1:01 AM
> > > Subject: Fwd: Re: undefined references
> > > 
> > > 
> > > > Thanks, John.
> > > > But I think, Larry knows an answer. I hope he's not
> > > > right, but I think he is. It seems as if I have to buy
> > > > Informix for Windows NT. What do you think?
> > > > 
> > > > Tom.
> > > > 
> > > > --- "Larry Hall (RFK Partners, Inc)" <[email-masked]>
> > > > schrieb:
> > > > > From Larry Hall (RFK Partners, Inc) Mon Nov 29
> > > > > 08:55:20 1999
> > > > > X-Apparently-To: [email-masked] via
> > > > > web1406.mail.yahoo.com
> > > > > X-Track2: 2
> > > > > X-Track: 1: 40
> > > > > Received: from antiochus-fe0.ultra.net
> > > > > (146.115.8.188)
> > > > >   by mta112.mail.yahoo.com with SMTP; 29 Nov 1999
> > > > > 16:58:20 -0000
> > > > > Received: from mkt_lhall (news.solidworks.com
> > > > > [206.34.34.3]) by antiochus-fe0.ultra.net
> > > > > (8.8.8/ult/n20340/mtc.v2) with SMTP id LAA03592 for
> > > > > <[email-masked]>; Mon, 29 Nov 1999 11:57:46 -0500
> > > > > (EST)
> > > > > Message-Id:
> > > > >
> > > > <[email-masked]>
> > > > > X-Sender: [email-masked]
> > > > > X-Mailer: QUALCOMM Windows Eudora Pro Version 3.0.5
> > > > > (32)
> > > > > Datum: Mon, 29 Nov 1999 11:55:20 -0500
> > > > > An: TS <[email-masked]>
> > > > > Von: "Larry Hall (RFK Partners, Inc)"
> > > > > <[email-masked]>
> > > > > Betreff: Re: undefined references
> > > > > In-Reply-To:
> > > > >
> > > > <[email-masked]>
> > > > > Mime-Version: 1.0
> > > > > Content-Type: text/plain; charset="us-ascii"
> > > > > Content-Length: 3440
> > > > > 
> > > > > Right, because they are in UNIX format, for the
> > > > > platform on
> > > > > which you are using them.  They won't work on
> > > > > Cygwin, since
> > > > > Cygwin is on Windows and Windows is not UNIX (sorry
> > > > > for the 
> > > > > bulletin!;-))  If you want to successfully link on
> > > > > Windows
> > > > > using gcc and Cygwin, you need Windows versions of
> > > > > these
> > > > > libraries.  More than likely, the libraries will
> > > > > actually
> > > > > be DLLs, and they will come with what MS likes to
> > > > > call 
> > > > > "import" libraries (necessary to make their DLLs
> > > > > work).
> > > > > You won't want to use the import libraries with
> > > > > Cygwin (actually
> > > > > you can't!).  But if you have the DLLs, you can use
> > > > > dlltool 
> > > > > and dllwrap as described by Mumit Khan at his site
> > > > > (see the 
> > > > > pointer on the Cygwin page) or in the email archives
> > > > > (see the
> > > > > Cygwin site again) to create a compatible .a from
> > > > > the DLLs.
> > > > > You can then use the .a's you just created as the
> > > > > library you 
> > > > > need and want.  The symbols should resolve for you
> > > > > then.
> > > > > 
> > > > > Larry
> > > > > 
> > > > > 
> > > > > At 08:42 AM 11/29/99 -0800, you wrote:
> > > > > >I haven't changed anything. The libs are for
> > > > > Informix
> > > > > >for Unix. They have their original name. And the
> > > > > >Unix-cc has no problems with them.
> > > > > >
> > > > > >Tom.
> > > > > >
> > > > > >--- "Larry Hall (RFK Partners, Inc)"
> > > > > <[email-masked]>
> > > > > >schrieb:
> > > > > >> If they come from Informix, my guess is that you
> > > > > >> actually
> > > > > >> have DLLs accompanied by import libraries
> > > > > necessary
> > > > > >> to support
> > > > > >> MS VC++.  Am I right?  You need to make .a files
> > > > > >> from the .dll
> > > > > >> files using dlltool and dllwrap.  Check Mumit
> > > > > Khan's
> > > > > >> site for
> > > > > >> instructions about how to do that.  I think your
> > > > > >> problem is that
> > > > > >> you're trying the rename the .lib files (or
> > > > > >> something else) to .a
> > > > > >> files, which won't work (unfortunately!;-))
> > > > > >> 
> > > > > >> Larry
> > > > > >> 
> > > > > >> 
> > > > > >> At 07:54 AM 11/29/99 -0800, you wrote:
> > > > > >> >My libraries are from Informix.I need them to
> > > > > >> compile
> > > > > >> >the ESQL/C-part of the source.
> > > > > >> >How can I see what format a library has?
> > > > > >> >Which format does Cygwin's gcc need?
> > > > > >> >How can I change the format? Is there a
> > > > > >> possibility?
> > > > > >> >
> > > > > >> >Thanks in advance,
> > > > > >> >
> > > > > >> >Tom.
> > > > > >> >
> > > > > >> >--- "Larry Hall (RFK Partners, Inc)"
> > > > > >> <[email-masked]>
> > > > > >> >schrieb:
> > > > > >> >> At 01:54 AM 11/29/99 -0800, you wrote:
> > > > > >> >> <snip>
> > > > > >> >> 
> > > > > >> >> >What is the reason for this errors? Are the
> > > > > >> >> libraries
> > > > > >> >> >in a wrong format? What am I doing wrong? If
> > > > > >> >> someone
> > > > > >> >> >wants to help, I can mail the source files
> > > > > and
> > > > > >> the
> > > > > >> >> >libraries.
> > > > > >> >> >
> > > > > >> >> 
> > > > > >> >> My guess is the library format.  Where did you
> > > > > >> get
> > > > > >> >> them?
> > > > > >> >> I assume you are not just using the ones from
> > > > > SCO
> > > > > >> >> UNIX,
> > > > > >> >> right?  If you have versions that were created
> > > > > >> for
> > > > > >> >> Cygwin
> > > > > >> >> (by you are someone else), then libraries are
> > > > > not
> > > > > >> >> your 
> > > > > >> >> problem.  Otherwise, they are!;-)
> > > > > >> >> 
> > > > > >> >> 
> > > > > >> >> Larry Hall                             
> > > > > >> >> [email-masked]
> > > > > >> >> RFK Partners, Inc.                     
> > > > > >> >> http://www.rfk.com
> > > > > >> >> 118 Washington Street                   (508)
> > > > > >> >> 893-9779 - RFK Office
> > > > > >> >> Holliston, MA 01746                     (508)
> > > > > >> >> 893-9889 - FAX
> > > > > >> >>                                         (508)
> > > > > >> >> 560-1285 - cell phone
> > > > > >> >> 
> > > > > >> >
> > > > > >>
> > > > > >__________________________________________________
> > > > > >> >Do You Yahoo!?
> > > > > >> >Thousands of Stores.  Millions of Products.  All
> > > > > in
> > > > > >> one place.
> > > > > >> >Yahoo! Shopping: http://shopping.yahoo.com
> > > > > >> >
> > > > > >> >
> > > > > >> 
> > > > > >
> > > > > >__________________________________________________
> > > > > >Do You Yahoo!?
> > > > > >Thousands of Stores.  Millions of Products.  All in
> > > > > one place.
> > > > > >Yahoo! Shopping: http://shopping.yahoo.com
> > > > > >
> > > > > >
> > > > > 
> > > > 
> > > > __________________________________________________
> > > > Do You Yahoo!?
> > > > Thousands of Stores.  Millions of Products.  All in one place.
> > > > Yahoo! Shopping: http://shopping.yahoo.com
> > > > 
> > > 
> > > 
> > 
> > __________________________________________________
> > Do You Yahoo!?
> > Thousands of Stores.  Millions of Products.  All in one place.
> > Yahoo! Shopping: http://shopping.yahoo.com
> 
> 

__________________________________________________
Do You Yahoo!?
Thousands of Stores.  Millions of Products.  All in one place.
Yahoo! Shopping: http://shopping.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]